package ch.pizzalemon.android.api;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.X509TrustManager;

// we got SSLHandshakeException for all requests for pinocchio, so we disabled ssl check for pinocciho pizza
public class SSLTrustManager implements X509TrustManager {

    @Override
    public void checkClientTrusted(
            X509Certificate[] chain,
            String authType
    ) throws CertificateException {

    }

    @Override
    public void checkServerTrusted(
            X509Certificate[] chain,
            String authType
    ) throws CertificateException {

    }

    @Override
    public X509Certificate[] getAcceptedIssuers() {
        return new X509Certificate[0];
    }
}
